# EditorConfig is awesome: https://EditorConfig.org

# top-most EditorConfig file
root = true

[*]
charset = utf-8
end_of_line = lf
indent_size = 2
indent_style = space
insert_final_newline = true
max_line_length = 80
trim_trailing_whitespace = true

[*.{yml,yaml,json}]
indent_style = space
indent_size = 2

[*.{tf,tfvars}]
indent_size = 4
indent_style = space

[*.md]
max_line_length = 0
trim_trailing_whitespace = false

[Vagrantfile]
indent_style = space
indent_size = 2

[justfile]
# Use tabs in justfile
indent_style = tab
